Package com.opensymphony.module.sitemesh

# Interface Decorator

All Known Implementing Classes:
  `DefaultDecorator`

public interface Decorator
Representation of a Decorator.

A Decorator is infact a Servlet/JSP, and this is a wrapper to reference it. An implementation is returned by the `DecoratorMapper`.

Version:
  $Revision: 1.1 $
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`String`
`getInitParameter(String paramName)`
Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
`Iterator`
`getInitParameterNames()`
Returns the names of the Decorator's initialization parameters as an Iterator of String objects, or an empty Iterator if the Decorator has no initialization parameters.
`String`
`getName()`
Name of the Decorator.
`String`
`getPage()`
URI of the Servlet/JSP to dispatch the request to (relative to the web-app context).
`String`
`getRole()`
Role the user has to be in to get this decorator applied.
`String`
`getURIPath()`
URI path of the Decorator.

## Method Details

### getPage

String getPage()
URI of the Servlet/JSP to dispatch the request to (relative to the web-app context).

### getName

String getName()
Name of the Decorator. For informational purposes only.

### getURIPath

String getURIPath()
URI path of the Decorator. Enables support for decorators defined in seperate web-apps.

### getRole

String getRole()
Role the user has to be in to get this decorator applied.

### getInitParameter

String getInitParameter(String paramName)
Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.

Parameters:
  `paramName` - Key of parameter.
Returns:
  Value of the parameter or null if not found.

### getInitParameterNames

Iterator getInitParameterNames()
Returns the names of the Decorator's initialization parameters as an Iterator of String objects, or an empty Iterator if the Decorator has no initialization parameters.